## net.i2p.client
Class RequestLeaseSetMessageHandler

    java.lang.Object
      net.i2p.client.HandlerImpl
          net.i2p.client.RequestLeaseSetMessageHandler

All Implemented Interfaces:
  I2CPMessageHandler

class RequestLeaseSetMessageHandler
extends HandlerImpl

Handle I2CP RequestLeaseSetMessage from the router by granting all leases

Author:
  jrandom

Field Summary
`protected I2PAppContext` `_context`
`protected Log` `_log`

Constructor Summary
`RequestLeaseSetMessageHandler(I2PAppContext context)`

Method Summary
`int` `getType()`
`void` `handleMessage(I2CPMessage message, I2PSessionImpl session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _log

    protected Log _log

### _context

    protected I2PAppContext _context

Constructor Detail

### RequestLeaseSetMessageHandler

    public RequestLeaseSetMessageHandler(I2PAppContext context)

Method Detail

### handleMessage

    public void handleMessage(I2CPMessage message,
                              I2PSessionImpl session)

### getType

    public int getType()

  Specified by:
    `getType` in interface `I2CPMessageHandler`